path: /build/build/libsoup-net-libs-2.4-2.74.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-brotli -gssapi -gtk-doc -samba introspection vala" emerge net-libs/libsoup:2.4 -pv -t && \
    USE="-brotli -gssapi -gtk-doc -samba introspection vala" emerge -j ${JOBS} --nodeps net-libs/libsoup:2.4
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libsoup && luet-portage --dir /pkgdir/libsoup
    net-libs/libsoup:2.4 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1d90a61d8d92d7482c4e92c1ccc2d5b55118a222348ab322e75e26b6288237c8
  package:
    name: libsoup
    version: 2.74.0+1
    category: net-libs-2.4
    use_flags:
    - -brotli
    - -gssapi
    - -gtk-doc
    - -samba
    - introspection
    - vala
    requires:
    - name: vala
      version: '>=0'
      category: dev-lang-0.54
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: HTTP client/server library for GNOME
    uri:
    - https://wiki.gnome.org/Projects/libsoup
    license: LGPL-2.1+
    buildtimestamp: 2023-09-09 16:46:31.039522795 +0000 UTC m=+222.329724660
    labels:
      BDEPEND: dev-libs/glib dev-util/glib-utils gtk-doc? ( >=dev-util/gtk-doc-1.20
        app-text/docbook-xml-dtd:4.1.2 ) >=sys-devel/gettext-0.19.8 virtual/pkgconfig
        vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)]
        dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)] ) ) app-arch/xz-utils
        >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: '>=dev-libs/glib-2.58:2 >=dev-db/sqlite-3.8.2:3 >=dev-libs/libxml2-2.9.1-r4:2
        brotli? ( >=app-arch/brotli-1.0.6-r1:= ) >=net-libs/libpsl-0.20 sys-libs/zlib
        gssapi? ( virtual/krb5 ) introspection? ( >=dev-libs/gobject-introspection-1.54:=
        ) samba? ( net-fs/samba ) dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: brotli gssapi gtk-doc +introspection samba ssl +vala
      RDEPEND: '>=dev-libs/glib-2.58:2 >=dev-db/sqlite-3.8.2:3 >=dev-libs/libxml2-2.9.1-r4:2
        brotli? ( >=app-arch/brotli-1.0.6-r1:= ) >=net-libs/libpsl-0.20 sys-libs/zlib
        gssapi? ( virtual/krb5 ) introspection? ( >=dev-libs/gobject-introspection-1.54:=
        ) samba? ( net-fs/samba ) >=net-libs/glib-networking-2.38.2[ssl?]'
      emerge.packages: net-libs/libsoup:2.4
      kit: gnome-kit
      original.package.name: net-libs/libsoup
      original.package.slot: "2.4"
      original.package.version: 2.74.0
    treedir: /build/packages
  package_dir: /pkgdir/libsoup
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c527bc8c5ea93f0f36b5340cb996d4cf2d1d12a1ca0cbbf6d1977f300d9a8b03
compressiontype: zstd
files:
- usr/include/libsoup-2.4/libsoup/soup-address.h
- usr/include/libsoup-2.4/libsoup/soup-auth-domain-basic.h
- usr/include/libsoup-2.4/libsoup/soup-auth-domain-digest.h
- usr/include/libsoup-2.4/libsoup/soup-auth-domain.h
- usr/include/libsoup-2.4/libsoup/soup-auth-manager.h
- usr/include/libsoup-2.4/libsoup/soup-auth.h
- usr/include/libsoup-2.4/libsoup/soup-autocleanups.h
- usr/include/libsoup-2.4/libsoup/soup-cache.h
- usr/include/libsoup-2.4/libsoup/soup-content-decoder.h
- usr/include/libsoup-2.4/libsoup/soup-content-sniffer.h
- usr/include/libsoup-2.4/libsoup/soup-cookie-jar-db.h
- usr/include/libsoup-2.4/libsoup/soup-cookie-jar-text.h
- usr/include/libsoup-2.4/libsoup/soup-cookie-jar.h
- usr/include/libsoup-2.4/libsoup/soup-cookie.h
- usr/include/libsoup-2.4/libsoup/soup-date.h
- usr/include/libsoup-2.4/libsoup/soup-enum-types.h
- usr/include/libsoup-2.4/libsoup/soup-form.h
- usr/include/libsoup-2.4/libsoup/soup-headers.h
- usr/include/libsoup-2.4/libsoup/soup-hsts-enforcer-db.h
- usr/include/libsoup-2.4/libsoup/soup-hsts-enforcer.h
- usr/include/libsoup-2.4/libsoup/soup-hsts-policy.h
- usr/include/libsoup-2.4/libsoup/soup-logger.h
- usr/include/libsoup-2.4/libsoup/soup-message-body.h
- usr/include/libsoup-2.4/libsoup/soup-message-headers.h
- usr/include/libsoup-2.4/libsoup/soup-message.h
- usr/include/libsoup-2.4/libsoup/soup-method.h
- usr/include/libsoup-2.4/libsoup/soup-misc.h
- usr/include/libsoup-2.4/libsoup/soup-multipart-input-stream.h
- usr/include/libsoup-2.4/libsoup/soup-multipart.h
- usr/include/libsoup-2.4/libsoup/soup-password-manager.h
- usr/include/libsoup-2.4/libsoup/soup-portability.h
- usr/include/libsoup-2.4/libsoup/soup-proxy-resolver-default.h
- usr/include/libsoup-2.4/libsoup/soup-proxy-resolver.h
- usr/include/libsoup-2.4/libsoup/soup-proxy-uri-resolver.h
- usr/include/libsoup-2.4/libsoup/soup-request-data.h
- usr/include/libsoup-2.4/libsoup/soup-request-file.h
- usr/include/libsoup-2.4/libsoup/soup-request-http.h
- usr/include/libsoup-2.4/libsoup/soup-request.h
- usr/include/libsoup-2.4/libsoup/soup-requester.h
- usr/include/libsoup-2.4/libsoup/soup-server.h
- usr/include/libsoup-2.4/libsoup/soup-session-async.h
- usr/include/libsoup-2.4/libsoup/soup-session-feature.h
- usr/include/libsoup-2.4/libsoup/soup-session-sync.h
- usr/include/libsoup-2.4/libsoup/soup-session.h
- usr/include/libsoup-2.4/libsoup/soup-socket.h
- usr/include/libsoup-2.4/libsoup/soup-status.h
- usr/include/libsoup-2.4/libsoup/soup-tld.h
- usr/include/libsoup-2.4/libsoup/soup-types.h
- usr/include/libsoup-2.4/libsoup/soup-uri.h
- usr/include/libsoup-2.4/libsoup/soup-value-utils.h
- usr/include/libsoup-2.4/libsoup/soup-version.h
- usr/include/libsoup-2.4/libsoup/soup-websocket-connection.h
- usr/include/libsoup-2.4/libsoup/soup-websocket-extension-deflate.h
- usr/include/libsoup-2.4/libsoup/soup-websocket-extension-manager.h
- usr/include/libsoup-2.4/libsoup/soup-websocket-extension.h
- usr/include/libsoup-2.4/libsoup/soup-websocket.h
- usr/include/libsoup-2.4/libsoup/soup-xmlrpc-old.h
- usr/include/libsoup-2.4/libsoup/soup-xmlrpc.h
- usr/include/libsoup-2.4/libsoup/soup.h
- usr/lib64/girepository-1.0/Soup-2.4.typelib
- usr/lib64/libsoup-2.4.so
- usr/lib64/libsoup-2.4.so.1
- usr/lib64/libsoup-2.4.so.1.11.1
- usr/lib64/pkgconfig/libsoup-2.4.pc
- usr/share/doc/libsoup-2.74.0/AUTHORS.bz2
- usr/share/doc/libsoup-2.74.0/NEWS.bz2
- usr/share/doc/libsoup-2.74.0/README.bz2
- usr/share/doc/libsoup-2.74.0/README.msvc.bz2
- usr/share/gir-1.0/Soup-2.4.gir
- usr/share/locale/an/LC_MESSAGES/libsoup.mo
- usr/share/locale/as/LC_MESSAGES/libsoup.mo
- usr/share/locale/be/LC_MESSAGES/libsoup.mo
- usr/share/locale/bg/LC_MESSAGES/libsoup.mo
- usr/share/locale/bn_IN/LC_MESSAGES/libsoup.mo
- usr/share/locale/bs/LC_MESSAGES/libsoup.mo
- usr/share/locale/ca/LC_MESSAGES/libsoup.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/libsoup.mo
- usr/share/locale/cs/LC_MESSAGES/libsoup.mo
- usr/share/locale/da/LC_MESSAGES/libsoup.mo
- usr/share/locale/de/LC_MESSAGES/libsoup.mo
- usr/share/locale/el/LC_MESSAGES/libsoup.mo
- usr/share/locale/en_GB/LC_MESSAGES/libsoup.mo
- usr/share/locale/eo/LC_MESSAGES/libsoup.mo
- usr/share/locale/es/LC_MESSAGES/libsoup.mo
- usr/share/locale/et/LC_MESSAGES/libsoup.mo
- usr/share/locale/eu/LC_MESSAGES/libsoup.mo
- usr/share/locale/fa/LC_MESSAGES/libsoup.mo
- usr/share/locale/fi/LC_MESSAGES/libsoup.mo
- usr/share/locale/fr/LC_MESSAGES/libsoup.mo
- usr/share/locale/fur/LC_MESSAGES/libsoup.mo
- usr/share/locale/gd/LC_MESSAGES/libsoup.mo
- usr/share/locale/gl/LC_MESSAGES/libsoup.mo
- usr/share/locale/gu/LC_MESSAGES/libsoup.mo
- usr/share/locale/he/LC_MESSAGES/libsoup.mo
- usr/share/locale/hi/LC_MESSAGES/libsoup.mo
- usr/share/locale/hr/LC_MESSAGES/libsoup.mo
- usr/share/locale/hu/LC_MESSAGES/libsoup.mo
- usr/share/locale/id/LC_MESSAGES/libsoup.mo
- usr/share/locale/it/LC_MESSAGES/libsoup.mo
- usr/share/locale/ja/LC_MESSAGES/libsoup.mo
- usr/share/locale/kn/LC_MESSAGES/libsoup.mo
- usr/share/locale/ko/LC_MESSAGES/libsoup.mo
- usr/share/locale/lt/LC_MESSAGES/libsoup.mo
- usr/share/locale/lv/LC_MESSAGES/libsoup.mo
- usr/share/locale/ml/LC_MESSAGES/libsoup.mo
- usr/share/locale/mr/LC_MESSAGES/libsoup.mo
- usr/share/locale/ms/LC_MESSAGES/libsoup.mo
- usr/share/locale/nb/LC_MESSAGES/libsoup.mo
- usr/share/locale/ne/LC_MESSAGES/libsoup.mo
- usr/share/locale/nl/LC_MESSAGES/libsoup.mo
- usr/share/locale/oc/LC_MESSAGES/libsoup.mo
- usr/share/locale/or/LC_MESSAGES/libsoup.mo
- usr/share/locale/pa/LC_MESSAGES/libsoup.mo
- usr/share/locale/pl/LC_MESSAGES/libsoup.mo
- usr/share/locale/pt/LC_MESSAGES/libsoup.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libsoup.mo
- usr/share/locale/ro/LC_MESSAGES/libsoup.mo
- usr/share/locale/ru/LC_MESSAGES/libsoup.mo
- usr/share/locale/sk/LC_MESSAGES/libsoup.mo
- usr/share/locale/sl/LC_MESSAGES/libsoup.mo
- usr/share/locale/sr/LC_MESSAGES/libsoup.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libsoup.mo
- usr/share/locale/sv/LC_MESSAGES/libsoup.mo
- usr/share/locale/ta/LC_MESSAGES/libsoup.mo
- usr/share/locale/te/LC_MESSAGES/libsoup.mo
- usr/share/locale/tg/LC_MESSAGES/libsoup.mo
- usr/share/locale/th/LC_MESSAGES/libsoup.mo
- usr/share/locale/tr/LC_MESSAGES/libsoup.mo
- usr/share/locale/ug/LC_MESSAGES/libsoup.mo
- usr/share/locale/uk/LC_MESSAGES/libsoup.mo
- usr/share/locale/uz@cyrillic/LC_MESSAGES/libsoup.mo
- usr/share/locale/vi/LC_MESSAGES/libsoup.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libsoup.mo
- usr/share/locale/zh_HK/LC_MESSAGES/libsoup.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libsoup.mo
- usr/share/vala/vapi/libsoup-2.4.deps
- usr/share/vala/vapi/libsoup-2.4.vapi
- var/db/pkg/net-libs/libsoup-2.74.0/BDEPEND
- var/db/pkg/net-libs/libsoup-2.74.0/BUILD_TIME
- var/db/pkg/net-libs/libsoup-2.74.0/CATEGORY
- var/db/pkg/net-libs/libsoup-2.74.0/CBUILD
- var/db/pkg/net-libs/libsoup-2.74.0/CFLAGS
- var/db/pkg/net-libs/libsoup-2.74.0/CHOST
- var/db/pkg/net-libs/libsoup-2.74.0/CONTENTS
- var/db/pkg/net-libs/libsoup-2.74.0/COUNTER
- var/db/pkg/net-libs/libsoup-2.74.0/CXXFLAGS
- var/db/pkg/net-libs/libsoup-2.74.0/DEFINED_PHASES
- var/db/pkg/net-libs/libsoup-2.74.0/DEPEND
- var/db/pkg/net-libs/libsoup-2.74.0/DESCRIPTION
- var/db/pkg/net-libs/libsoup-2.74.0/EAPI
- var/db/pkg/net-libs/libsoup-2.74.0/FEATURES
- var/db/pkg/net-libs/libsoup-2.74.0/HOMEPAGE
- var/db/pkg/net-libs/libsoup-2.74.0/INHERITED
- var/db/pkg/net-libs/libsoup-2.74.0/IUSE
- var/db/pkg/net-libs/libsoup-2.74.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libsoup-2.74.0/KEYWORDS
- var/db/pkg/net-libs/libsoup-2.74.0/LDFLAGS
- var/db/pkg/net-libs/libsoup-2.74.0/LICENSE
- var/db/pkg/net-libs/libsoup-2.74.0/NEEDED
- var/db/pkg/net-libs/libsoup-2.74.0/PF
- var/db/pkg/net-libs/libsoup-2.74.0/PROVIDES
- var/db/pkg/net-libs/libsoup-2.74.0/RDEPEND
- var/db/pkg/net-libs/libsoup-2.74.0/REQUIRES
- var/db/pkg/net-libs/libsoup-2.74.0/SIZE
- var/db/pkg/net-libs/libsoup-2.74.0/SLOT
- var/db/pkg/net-libs/libsoup-2.74.0/USE
- var/db/pkg/net-libs/libsoup-2.74.0/environment.bz2
- var/db/pkg/net-libs/libsoup-2.74.0/libsoup-2.74.0.ebuild
- var/db/pkg/net-libs/libsoup-2.74.0/repository
package_cacheimage: ""
runtime:
  name: libsoup
  version: 2.74.0+1
  category: net-libs-2.4
  use_flags:
  - -brotli
  - -gssapi
  - -gtk-doc
  - -samba
  - introspection
  - vala
  requires:
  - name: sqlite
    version: '>=0'
    category: dev-db-3
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  - name: glib-networking
    version: '>=0'
    category: net-libs
  - name: libpsl
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: HTTP client/server library for GNOME
  uri:
  - https://wiki.gnome.org/Projects/libsoup
  license: LGPL-2.1+
  labels:
    BDEPEND: dev-libs/glib dev-util/glib-utils gtk-doc? ( >=dev-util/gtk-doc-1.20
      app-text/docbook-xml-dtd:4.1.2 ) >=sys-devel/gettext-0.19.8 virtual/pkgconfig
      vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)]
      dev-lang/vala:0.36[vapigen(+)] ) ) app-arch/xz-utils >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2
    DEPEND: '>=dev-libs/glib-2.58:2 >=dev-db/sqlite-3.8.2:3 >=dev-libs/libxml2-2.9.1-r4:2
      brotli? ( >=app-arch/brotli-1.0.6-r1:= ) >=net-libs/libpsl-0.20 sys-libs/zlib
      gssapi? ( virtual/krb5 ) introspection? ( >=dev-libs/gobject-introspection-1.54:=
      ) samba? ( net-fs/samba ) dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: brotli gssapi gtk-doc +introspection samba ssl +vala
    RDEPEND: '>=dev-libs/glib-2.58:2 >=dev-db/sqlite-3.8.2:3 >=dev-libs/libxml2-2.9.1-r4:2
      brotli? ( >=app-arch/brotli-1.0.6-r1:= ) >=net-libs/libpsl-0.20 sys-libs/zlib
      gssapi? ( virtual/krb5 ) introspection? ( >=dev-libs/gobject-introspection-1.54:=
      ) samba? ( net-fs/samba ) >=net-libs/glib-networking-2.38.2[ssl?]'
    emerge.packages: net-libs/libsoup:2.4
    kit: gnome-kit
    original.package.name: net-libs/libsoup
    original.package.slot: "2.4"
    original.package.version: 2.74.0
